Bug 565157 - FTBFS elfelli-0.3.1-2.rc1.fc12.1: ImplicitDSOLinking
FTBFS elfelli-0.3.1-2.rc1.fc12.1: ImplicitDSOLinking
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: elfelli (Show other bugs)
13
All Linux
high Severity high
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: 564245 583278
  Show dependency treegraph
 
Reported: 2010-02-13 13:05 EST by FTBFS
Modified: 2010-07-06 13:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: elfelli-0.3.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (510.27 KB, text/plain)
2010-02-13 13:05 EST, FTBFS
no flags Details
build.log (12.35 KB, text/plain)
2010-02-13 13:05 EST, FTBFS
no flags Details
mock.log (1.02 KB, text/plain)
2010-02-13 13:05 EST, FTBFS
no flags Details
root.log (732.47 KB, text/plain)
2010-02-13 13:05 EST, FTBFS
no flags Details
build.log (12.16 KB, text/plain)
2010-02-13 13:05 EST, FTBFS
no flags Details
mock.log (977 bytes, text/plain)
2010-02-13 13:05 EST, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-02-13 13:05:27 EST
elfelli-0.3.1-2.rc1.fc12.1.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 13:05:30 EST
Created attachment 393857 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 13:05:32 EST
Created attachment 393858 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 13:05:33 EST
Created attachment 393859 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 13:05:34 EST
Created attachment 393860 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 13:05:36 EST
Created attachment 393861 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 13:05:37 EST
Created attachment 393862 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:58:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fabian Affolter 2010-06-15 07:41:15 EDT
http://gna.org/bugs/?15685
Comment 9 Fabian Affolter 2010-06-24 12:50:19 EDT
Upstream fixed the linking stuff but there is a new issue in the installer.
Comment 10 Fedora Update System 2010-06-27 06:21:49 EDT
elfelli-0.3.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/elfelli-0.3.1-3.fc13
Comment 11 Fedora Update System 2010-06-27 06:21:55 EDT
elfelli-0.3.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/elfelli-0.3.1-3.fc12
Comment 12 Fedora Update System 2010-06-28 13:18:43 EDT
elfelli-0.3.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfelli'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/elfelli-0.3.1-3.fc13
Comment 13 Fedora Update System 2010-06-28 13:18:48 EDT
elfelli-0.3.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfelli'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/elfelli-0.3.1-3.fc12
Comment 14 Fedora Update System 2010-07-06 13:14:05 EDT
elfelli-0.3.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-07-06 13:15:11 EDT
elfelli-0.3.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.